<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_14feb73099827a30c31c0b9" . "96c13f13c" => base64_decode("b25LZXJuZWxSZXF" . "1ZXN0"), "_8ec8f26c742" . "278f90615f50" . "d682eea79" => base64_decode("UE9TV" . "A=="), "_eea266d1da508f42deea4" . "9cc3add68ec" => base64_decode("U" . "F" . "V" . "U"), "_ab8b6a5b56b4cfd" . "73230ed5cad4fb54" . "c" => base64_decode("Y29yZS5" . "ib290ZW" . "Q="), "_e6d18c493faa20d5d45c" . "0751d2c02ce6" => base64_decode("TG9j" . "YXRp" . "b246" . "IA=="), "_8fec21706bd243b37" . "ecf62b1caf8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_4d707fab93bebb00bbe6" . "9e8159697c90" => base64_decode(""), "_781e2532c1e56969c535c11840" . "64bae6" => base64_decode("b25Db3JlQm9vdA=" . "="), "_db7b295629faa" . "16027a2c263095" . "eba70" => base64_decode("cGhwX3" . "NhcGlf" . "bmFtZQ" . "=="), "_2b2486424e6dfb906c925739c329" . "be7c" => base64_decode("aGV" . "hZG" . "Vy"), "_e06da3ffba2e84b8e6f" . "94bd2d6ca3c52" => base64_decode("Y3JlYXRlX2ludGVybmFsX2xpbm" . "s="), "_c91b0ff19f81a8873" . "a4593a23719472c" => base64_decode("cnR" . "yaW" . "0="), "_fad3a97fa7919b1999c977c8" . "bdad925a" => base64_decode("c3ltZm9ueV9yZXF1ZX" . "N0"), "_bd8510ebf29b0f687c25c90c74071" . "5d8" => base64_decode("aHR0cF9yZXNwb2" . "5zZV9jb2Rl"), "_87daa84e346f6420a3f3426e0" . "5d16a7b" => base64_decode("Lw" . "=="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c91b0ff19f81a88" . "73a4593a23719472" . "c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_87daa84e346f6420a3f3426e05d" . "16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_14feb7309982" . "7a30c31c0b996" . "c13f13c"], 1536), $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ab8b6a5b56b4cfd73230ed5ca" . "d4fb54c"] => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_781e2532c1e56969c535c1184064b" . "ae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8ec8f26c742278f90615f50d682" . "eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_eea266d1da508f42deea49cc3ad" . "d68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_db7b295629faa16027a2c263" . "095eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8fec21706bd243b" . "37ecf62b1caf8fb8" . "a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_fad3a97fa7919b1999c977c8" . "bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e06da3ffba2e84b8" . "e6f94bd2d6ca3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e81596" . "97c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bd8510e" . "bf29b0f6" . "87c25c90" . "c740715d" . "8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2b2486424e6df" . "b906c925739c32" . "9be7c"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e6d18c493faa20d5d45c0" . "751d2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e06da3ffba2e84b8e6f94bd2d6ca3" . "c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}